io.undertow.server.handlers.proxy

## Interface ProxyConnectionPoolConfig

All Known Subinterfaces:
  ConnectionPoolManager

All Known Implementing Classes:
  LoadBalancingProxyClient.Host

    public interface ProxyConnectionPoolConfig

Author:
  Emanuel Muckenhuber

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMaxCachedConnections()` Get the maximum number of cached (idle) connections per thread.
`int` `getMaxConnections()` Get the maximum number of connections per thread.
`int` `getMaxQueueSize()` Get the maximum number of requests which can be queued if there are no connections available.
`int` `getSMaxConnections()` Get number of cached connections above which are closed after the time to live.
`long` `getTtl()` Get the time to live for idle connections.

### Method Detail

#### getMaxConnections

    int getMaxConnections()

Get the maximum number of connections per thread.

Returns:

#### getMaxCachedConnections

    int getMaxCachedConnections()

Get the maximum number of cached (idle) connections per thread.

Returns:

#### getSMaxConnections

    int getSMaxConnections()

Get number of cached connections above which are closed after the time to live.

Returns:

#### getTtl

    long getTtl()

Get the time to live for idle connections.

Returns:

#### getMaxQueueSize

    int getMaxQueueSize()

Get the maximum number of requests which can be queued if there are no connections available.

Returns: